Verdocs - Developer Documentation
ReferenceRest APIApi docsEnvelopes

Upload envelope field attachment

PUT
/v2/envelopes/{envelope_id}/recipients/{role_name}/fields/{field_name}

Path Parameters

envelope_id*string

The ID of the envelope to update.

Formatuuid
role_name*string

The recipient role name.

field_name*string

The attachment field name to update.

Request Body

application/json

Body Parameters

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.verdocs.com/v2/envelopes/ENVELOPE_ID/recipients/ROLE_NAME/fields/FIELD_NAME" \    -H "Authorization: Bearer ACCESS_TOKEN" \    -H "content-type: application/json" \    -d '{"param": "value"}'
{
  "base64": "string",
  "leading": 0,
  "minimum_checked": 0,
  "options": "string",
  "result": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}